Skip to main content
GET
/
customers
/
{uuid}
Get customer
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/customers/{uuid} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "self": "/2.0/customers/abc123",
  "uuid": "<string>",
  "type": "<string>",
  "name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "jsmith@example.com",
  "prefix": "+34",
  "phone": "<string>",
  "tag": "<string>",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.truust.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

uuid
string
required

Customer UUID.

Response

Customer details

id
integer
self
string
Example:

"/2.0/customers/abc123"

uuid
string
type
string | null
name
string | null
first_name
string | null
last_name
string | null
email
string<email> | null
prefix
string | null
Example:

"+34"

phone
string | null
tag
string | null
metadata
object
created_at
string<date-time> | null
connections
object

Hypermedia links to related resources.